package com.jy.log.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.framework.model.event.AccessEvent;
import com.jy.log.model.dto.LogAccessSelectDto;
import com.jy.log.model.vo.LogAccessVo;

import java.util.List;

/**
 * <p>
 * 访问日志 服务类
 * </p>
 *
 * @author
 * @since 2024-09-03
 */
public interface LogAccessService {

    /**
     * 访问日志分页
     */
    Page<LogAccessVo> getPage(LogAccessSelectDto dto);

    /**
     * 访问日志删除
     */
    void delete(List<Long> idList);

    /**
     * 记录用户访问信息
     */
    void save(AccessEvent event);

}
